@misc{amazon_amazon_nodate,
	title = {Amazon {Elastic} {Container} {Service}},
	url = {https://aws.amazon.com/ecs/?nc1=h_ls},
	author = {{Amazon}}
}

@misc{microsoft_microsoft_nodate,
	title = {Microsoft {Web} {App} for {Containers}},
	url = {https://azure.microsoft.com/en-us/services/app-service/containers/},
	author = {{Microsoft}}
}

@misc{alibaba_alibaba_nodate,
	title = {Alibaba {Container} {Service}},
	url = {https://www.alibabacloud.com/product/container-service?spm=a2c5t.10695662.1996646101.searchclickresult.55a3212bnXyv1v},
	author = {{Alibaba}}
}

@misc{ovh_ovh_nodate,
	title = {{OVH} {Kubernetes}},
	url = {https://www.ovh.com/fr/kubernetes/},
	author = {{OVH}}
}

@misc{docker_limit_nodate,
	title = {Limit a container's resources},
	url = {https://docs.docker.com/config/containers/resource_constraints/},
	author = {{Docker}}
}

@article{meisner_powernap_2009,
	title = {{PowerNap}: eliminating server idle power},
	volume = {37},
	issn = {01635964},
	shorttitle = {{PowerNap}},
	url = {http://dl.acm.org/citation.cfm?doid=2528521.1508269},
	doi = {10.1145/2528521.1508269},
	language = {en},
	number = {1},
	urldate = {2018-03-27},
	journal = {ACM SIGARCH Computer Architecture News},
	author = {Meisner, David and Gold, Brian T. and Wenisch, Thomas F.},
	month = mar,
	year = {2009},
	pages = {205}
}

@article{barroso_case_2007,
	title = {The {Case} for {Energy}-{Proportional} {Computing}},
	volume = {40},
	issn = {0018-9162},
	url = {http://ieeexplore.ieee.org/document/4404806/},
	doi = {10.1109/MC.2007.443},
	number = {12},
	urldate = {2018-04-03},
	journal = {Computer},
	author = {Barroso, Luiz André and Hölzle, Urs},
	month = dec,
	year = {2007},
	pages = {33--37}
}

@misc{weins_where_2017,
	title = {Where {Is} the \$10B in {Waste} in {Public} {Cloud} {Costs}?},
	url = {https://blogs.flexera.com/cloud/cloud-cost-analysis/where-is-the-10b-in-waste-in-public-cloud-costs/},
	journal = {Flexera Blogs},
	author = {Weins, Kim},
	month = nov,
	year = {2017}
}

@misc{docker_inc_what_nodate,
	title = {What is a {Container}?},
	url = {https://www.docker.com/resources/what-container},
	author = {{Docker Inc.}}
}

@inproceedings{de_cicco_resource_2013,
	address = {Budapest, Hungary},
	title = {A resource allocation controller for cloud-based adaptive video streaming},
	isbn = {978-1-4673-5753-1},
	url = {http://ieeexplore.ieee.org/document/6649328/},
	doi = {10.1109/ICCW.2013.6649328},
	urldate = {2019-03-05},
	booktitle = {2013 {IEEE} {International} {Conference} on {Communications} {Workshops} ({ICC})},
	publisher = {IEEE},
	author = {De Cicco, Luca and Mascolo, Saverio and Calamita, Dario},
	month = jun,
	year = {2013},
	pages = {723--727}
}

@article{barroso_datacenter_2013,
	title = {The {Datacenter} as a {Computer}: {An} {Introduction} to the {Design} of {Warehouse}-{Scale} {Machines}, {Second} edition},
	volume = {8},
	issn = {1935-3235, 1935-3243},
	shorttitle = {The {Datacenter} as a {Computer}},
	url = {http://www.morganclaypool.com/doi/abs/10.2200/S00516ED2V01Y201306CAC024},
	doi = {10.2200/S00516ED2V01Y201306CAC024},
	language = {en},
	number = {3},
	urldate = {2018-06-29},
	journal = {Synthesis Lectures on Computer Architecture},
	author = {Barroso, Luiz André and Clidaras, Jimmy and Hölzle, Urs},
	month = jul,
	year = {2013},
	pages = {1--154}
}

@inproceedings{liu_measurement_2011,
	address = {Sydney, Australia},
	title = {A {Measurement} {Study} of {Server} {Utilization} in {Public} {Clouds}},
	isbn = {978-1-4673-0006-3 978-0-7695-4612-4},
	url = {http://ieeexplore.ieee.org/document/6118751/},
	doi = {10.1109/DASC.2011.87},
	urldate = {2019-06-20},
	booktitle = {2011 {IEEE} {Ninth} {International} {Conference} on {Dependable}, {Autonomic} and {Secure} {Computing}},
	publisher = {IEEE},
	author = {Liu, Huan},
	month = dec,
	year = {2011},
	pages = {435--442}
}

@InProceedings{ BaToTcHaLeZw2019_1,
	author = {Bacou, Mathieu and Todeschi, Grégoire and Tchana, Alain and Hagimont, Daniel and Lepers, Baptiste and Zwaenepoel, Willy},
	title = "{Drowsy-DC: Data center power management system (regular paper)}",
	booktitle = "{IEEE International Parallel and Distributed Processing Symposium (IPDPS), Rio de Janeiro, Brazil, 20/05/2019-24/05/2019}",
	year = {2019},
	to_appear = {to appear},
	publisher = {IEEE Computer Society},
	address = {https://www.computer.org},
	pages = {},
	language = {anglais}
}

@book{bovet_understanding_2006,
	address = {Beijing},
	edition = {3. ed., covers version 2.6},
	title = {Understanding the {Linux} kernel: from {I}/{O} ports to process management},
	isbn = {978-0-596-00565-8},
	shorttitle = {Understanding the {Linux} kernel},
	language = {eng},
	publisher = {O'Reilly},
	author = {Bovet, Daniel P. and Cesati, Marco},
	year = {2006},
	note = {OCLC: 255008440}
}

@inproceedings{denning_working_1967,
	address = {Not Known},
	title = {The working set model for program behavior},
	url = {http://portal.acm.org/citation.cfm?doid=800001.811670},
	doi = {10.1145/800001.811670},
	language = {en},
	urldate = {2019-03-13},
	booktitle = {Proceedings of the {ACM} symposium on {Operating} {System} {Principles}  - {SOSP} '67},
	publisher = {ACM Press},
	author = {Denning, Peter J.},
	year = {1967},
	pages = {15.1--15.12}
}

@misc{gregg_working_2018,
	title = {Working {Set} {Size} {Estimation}},
	url = {http://www.brendangregg.com/wss.html},
	author = {Gregg, Brendan},
	month = feb,
	year = {2018}
}

@article{nitu_working_2018,
	title = {Working {Set} {Size} {Estimation} {Techniques} in {Virtualized} {Environments}: {One} {Size} {Does} not {Fit} {All}},
	volume = {2},
	issn = {24761249},
	shorttitle = {Working {Set} {Size} {Estimation} {Techniques} in {Virtualized} {Environments}},
	url = {http://dl.acm.org/citation.cfm?doid=3203302.3179422},
	doi = {10.1145/3179422},
	language = {en},
	number = {1},
	urldate = {2019-03-13},
	journal = {Proceedings of the ACM on Measurement and Analysis of Computing Systems},
	author = {Nitu, Vlad and Kocharyan, Aram and Yaya, Hannas and Tchana, Alain and Hagimont, Daniel and Astsatryan, Hrachya},
	month = apr,
	year = {2018},
	pages = {1--22}
}

@misc{linux_memory_nodate,
	title = {Memory {Resource} {Controller}},
	url = {https://www.kernel.org/doc/Documentation/cgroup-v1/memory.txt},
	author = {{Linux}}
}

@misc{rami_rosen_namespace_2016,
	address = {Seville, Spain},
	title = {Namespace and cgroups, the basis of {Linux} containers},
	url = {https://www.netdevconf.org/1.1/proceedings/slides/rosen-namespaces-cgroups-lxc.pdf},
	author = {{Rami Rosen}},
	month = feb,
	year = {2016}
}

@misc{hiroyu_cgroup_2008,
	title = {Cgroup {And} {Memory} {Resource}  {Controller}},
	url = {https://www.static.linuxfound.org/jp_uploads/seminar20081119/CgroupMemcgMaster.pdf},
	author = {Hiroyu, Kamezawa},
	month = nov,
	year = {2008}
}

@inproceedings{zhenyun_zhuang_taming_2017,
	address = {Silicon Valley, CA, USA},
	title = {Taming memory related performance pitfalls in linux {Cgroups}},
	isbn = {978-1-5090-4588-4},
	url = {http://ieeexplore.ieee.org/document/7876184/},
	doi = {10.1109/ICCNC.2017.7876184},
	urldate = {2018-11-27},
	booktitle = {2017 {International} {Conference} on {Computing}, {Networking} and {Communications} ({ICNC})},
	publisher = {IEEE},
	author = {{Zhenyun Zhuang} and {Cuong Tran} and Weng, Jerry and Ramachandra, Haricharan and Sridharan, Badri},
	month = jan,
	year = {2017},
	pages = {531--535}
}

@misc{the_kernel_development_community_concepts_nodate,
	title = {Concepts overview},
	url = {https://www.kernel.org/doc/html/latest/admin-guide/mm/concepts.html},
	author = {{The kernel development community}}
}

@incollection{grid5000,
	title = {Adding Virtualization Capabilities to the {Grid'5000} Testbed},
	author = {Balouek, Daniel and Carpen Amarie, Alexandra and Charrier, Ghislain and Desprez, Fr{\'e}d{\'e}ric and Jeannot, Emmanuel and Jeanvoine, Emmanuel and L{\`e}bre, Adrien and Margery, David and Niclausse, Nicolas and Nussbaum, Lucas and Richard, Olivier and P{\'e}rez, Christian and Quesnel, Flavien and Rohr, Cyril and Sarzyniec, Luc},
	booktitle = {Cloud Computing and Services Science},
	publisher = {Springer International Publishing},
	pages = {3-20},
	volume = {367},
	editor = {Ivanov, Ivan I. and van Sinderen, Marten and Leymann, Frank and Shan, Tony },
	series = {Communications in Computer and Information Science },
	isbn = {978-3-319-04518-4 },
	doi = {10.1007/978-3-319-04519-1\_1 },
	year = {2013},
}

@misc{intel_intel_2017,
	title = {Intel {Xeon} {Processor} Gold 6130},
	url = {https://ark.intel.com/content/www/us/en/ark/products/120492/intel-xeon-gold-6130-processor-22m-cache-2-10-ghz.html},
	author = {{Intel}},
	year = {2017}
}

@misc{alexey_kopytov_sysbench_nodate,
	title = {sysbench},
	author = {{Alexey Kopytov}}
}

@misc{noauthor_mysql_nodate,
	title = {mysql},
	url = {https://dev.mysql.com/doc/refman/5.7/en/}
}

@misc{docker_docker_nodate,
	title = {Docker {CE}},
	url = {https://github.com/docker/docker-ce},
	author = {{Docker}}
}

@misc{noauthor_docker_py_nodate,
	title = {docker-py},
	url = {https://github.com/docker/docker-py}
}

@misc{greg_kroah_hartman_linux_2018,
	title = {Linux 4.19},
	url = {https://lkml.org/lkml/2018/10/22/184},
	author = {{Greg Kroah-Hartman}},
	month = oct,
	year = {2018}
}

@misc{barr_new_2018,
	title = {New {AWS} {Auto} {Scaling} – {Unified} {Scaling} {For} {Your} {Cloud} {Applications}},
	url = {https://aws.amazon.com/fr/blogs/aws/aws-auto-scaling-unified-scaling-for-your-cloud-applications/},
	journal = {AWS News Blog},
	author = {Barr, Jeff},
	month = jan,
	year = {2018}
}

@misc{noauthor_microsoft_2017,
	title = {Microsoft {Azure}: {Autoscaling}},
	url = {https://docs.microsoft.com/en-us/azure/architecture/best-practices/auto-scaling},
	journal = {Microsoft Azure},
	month = may,
	year = {2017}
}

@misc{noauthor_google_2018,
	title = {Google {Cloud} : Équilibrage de charge et scaling},
	url = {https://cloud.google.com/compute/docs/load-balancing-and-autoscaling#policies},
	month = dec,
	year = {2018}
}

@techreport{amazon_aws_2018,
	title = {{AWS} {Auto} {Scaling} {Guide} de l'utilisateur},
	url = {https://docs.aws.amazon.com/fr_fr/autoscaling/plans/userguide/as-plans-ug.pdf#auto-scaling-getting-started},
	author = {{Amazon}},
	month = nov,
	year = {2018},
	institution = {Amazon},
	pages = {23}
}

@misc{noauthor_kubernetes_autoscaler_2019,
	title = {kubernetes/autoscaler},
	url = {https://github.com/kubernetes/autoscaler/blob/master/cluster-autoscaler/FAQ.md},
	month = feb,
	year = {2019}
}

@article{lorido_botran_review_2014,
	title = {A {Review} of {Auto}-scaling {Techniques} for {Elastic} {Applications} in {Cloud} {Environments}},
	volume = {12},
	issn = {1570-7873, 1572-9184},
	url = {http://link.springer.com/10.1007/s10723-014-9314-7},
	doi = {10.1007/s10723-014-9314-7},
	language = {en},
	number = {4},
	urldate = {2019-02-26},
	journal = {Journal of Grid Computing},
	author = {Lorido-Botran, Tania and Miguel-Alonso, Jose and Lozano, Jose A.},
	month = dec,
	year = {2014},
	pages = {559--592}
}

@inproceedings{kriushanth_load_2015,
	address = {Coimbatore, India},
	title = {Load balancer behavior identifier ({LoBBI}) for dynamic threshold based auto-scaling in cloud},
	isbn = {978-1-4799-6804-6 978-1-4799-6805-3},
	url = {http://ieeexplore.ieee.org/document/7218115/},
	doi = {10.1109/ICCCI.2015.7218115},
	urldate = {2019-02-26},
	booktitle = {2015 {International} {Conference} on {Computer} {Communication} and {Informatics} ({ICCCI})},
	publisher = {IEEE},
	author = {Kriushanth, M. and Arockiam, L.},
	month = jan,
	year = {2015},
	pages = {1--5}
}

@inproceedings{moore_transforming_2013,
	address = {Prague, Czech Republic},
	title = {Transforming reactive auto-scaling into proactive auto-scaling},
	isbn = {978-1-4503-2075-7},
	url = {http://dl.acm.org/citation.cfm?doid=2460756.2460758},
	doi = {10.1145/2460756.2460758},
	language = {en},
	urldate = {2019-02-26},
	booktitle = {Proceedings of the 3rd {International} {Workshop} on {Cloud} {Data} and {Platforms} - {CloudDP} '13},
	publisher = {ACM Press},
	author = {Moore, Laura R. and Bean, Kathryn and Ellahi, Tariq},
	year = {2013},
	pages = {7--12}
}

@inproceedings{rao_distributed_2011,
	address = {Singapore, Singapore},
	title = {A {Distributed} {Self}-{Learning} {Approach} for {Elastic} {Provisioning} of {Virtualized} {Cloud} {Resources}},
	isbn = {978-1-4577-0468-0},
	url = {http://ieeexplore.ieee.org/document/6005367/},
	doi = {10.1109/MASCOTS.2011.47},
	urldate = {2019-02-26},
	booktitle = {2011 {IEEE} 19th {Annual} {International} {Symposium} on {Modelling}, {Analysis}, and {Simulation} of {Computer} and {Telecommunication} {Systems}},
	publisher = {IEEE},
	author = {Rao, Jia and Bu, Xiangping and Xu, Cheng-Zhong and Wang, Kun},
	month = jul,
	year = {2011},
	pages = {45--54}
}

@inproceedings{kim_dynamic_2015,
	address = {Washington DC, DC, USA},
	title = {Dynamic {Memory} {Pressure} {Aware} {Ballooning}},
	isbn = {978-1-4503-3604-8},
	url = {http://dl.acm.org/citation.cfm?doid=2818950.2818967},
	doi = {10.1145/2818950.2818967},
	language = {en},
	urldate = {2019-03-12},
	booktitle = {Proceedings of the 2015 {International} {Symposium} on {Memory} {Systems} - {MEMSYS} '15},
	publisher = {ACM Press},
	author = {Kim, Jinchun and Fedorov, Viacheslav and Gratz, Paul V. and Reddy, A. L. Narasimha},
	year = {2015},
	pages = {103--112}
}

@inproceedings{salomie_application_2013,
	address = {Prague, Czech Republic},
	title = {Application level ballooning for efficient server consolidation},
	isbn = {978-1-4503-1994-2},
	url = {http://dl.acm.org/citation.cfm?doid=2465351.2465384},
	doi = {10.1145/2465351.2465384},
	language = {en},
	urldate = {2019-03-12},
	booktitle = {Proceedings of the 8th {ACM} {European} {Conference} on {Computer} {Systems} - {EuroSys} '13},
	publisher = {ACM Press},
	author = {Salomie, Tudor-Ioan and Alonso, Gustavo and Roscoe, Timothy and Elphinstone, Kevin},
	year = {2013},
	pages = {337}
}

@misc{kvm_automatic_2013,
	title = {Automatic {Ballooning}},
	url = {https://www.linux-kvm.org/page/Projects/auto-ballooning},
	author = {{KVM}},
	year = {2013}
}

@misc{capitulino_automatic_2013,
	title = {Automatic ballooning},
	url = {https://www.linux-kvm.org/images/5/58/Kvm-forum-2013-automatic-ballooning.pdf},
	author = {Capitulino, Luiz},
	month = oct,
	year = {2013}
}

@misc{qemu_qemu_2019,
	title = {Qemu},
	url = {https://wiki.archlinux.org/index.php/QEMU},
	language = {English},
	author = {{Qemu}},
	month = may,
	year = {2019}
}

@inproceedings{carver_acdc_2017,
	address = {Cambridge, MA},
	title = {{ACDC}: {Advanced} consolidation for dynamic containers},
	isbn = {978-1-5386-1465-5},
	shorttitle = {{ACDC}},
	url = {http://ieeexplore.ieee.org/document/8171363/},
	doi = {10.1109/NCA.2017.8171363},
	urldate = {2019-05-22},
	booktitle = {2017 {IEEE} 16th {International} {Symposium} on {Network} {Computing} and {Applications} ({NCA})},
	publisher = {IEEE},
	author = {Carver, Damien and Sopena, Julien and Monnet, Sebastien},
	month = oct,
	year = {2017},
	pages = {1--8}
}

@misc{rostedt_trace_cmd_2010,
	title = {trace-cmd},
	url = {git://git.kernel.org/pub/scm/linux/kernel/git/rostedt/trace-cmd.git},
	publisher = {Red Hat},
	author = {Rostedt, Steven},
	year = {2010}
}

@article{laniel_highlighting_2019,
	title = {Highlighting the {Container} {Memory} {Consolidation} {Problems} in {Linux}},
	abstract = {The container mechanism supports server consolidation; to ensure memory performance isolation, Linux relies on static memory limits. However, this results in poor performance, because an application needs are dynamic. In this article we will show current problems with memory consolidation for containers in Linux.},
	language = {en},
	author = {Laniel, Francis and Carver, Damien and Sopena, Julien and Wajsburt, Franck and Lejeune, Jonathan and Shapiro, Marc},
	pages = {4},
	year = {2019}
}

@incollection{zhang_virtualization_2012,
	address = {Berlin, Heidelberg},
	title = {Virtualization and {Cloud} {Computing}},
	volume = {143},
	isbn = {978-3-642-27322-3 978-3-642-27323-0},
	url = {http://link.springer.com/10.1007/978-3-642-27323-0_39},
	urldate = {2019-12-13},
	booktitle = {Future {Wireless} {Networks} and {Information} {Systems}},
	publisher = {Springer Berlin Heidelberg},
	author = {Xing, Yuping and Zhan, Yongzhao},
	editor = {Zhang, Ying},
	year = {2012},
	doi = {10.1007/978-3-642-27323-0_39},
	pages = {305--312}
}

@book{beyer_site_2016,
	title = {Site reliability engineering: how {Google} runs production systems},
	isbn = {978-1-4919-2912-4},
	shorttitle = {Site reliability engineering},
	language = {English},
	author = {Beyer, Betsy and Jones, Chris and Petoff, Jennifer and Murphy, Niall Richard},
	year = {2016},
	note = {OCLC: 930683030}
}